Package org.lwjgl.opengl

# Class SGISGenerateMipmap

java.lang.Object
org.lwjgl.opengl.SGISGenerateMipmap

public final class SGISGenerateMipmap extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_GENERATE_MIPMAP_HINT_SGIS`
Accepted by the <target> parameter of Hint, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_GENERATE_MIPMAP_SGIS`
Accepted by the <pname> parameter of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GENERATE_MIPMAP_SGIS

public static final int GL_GENERATE_MIPMAP_SGIS
Accepted by the <pname> parameter of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv.

See Also:
  - Constant Field Values

### GL_GENERATE_MIPMAP_HINT_SGIS

public static final int GL_GENERATE_MIPMAP_HINT_SGIS
Accepted by the <target> parameter of Hint, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values